Skip to main content

List federations in NetApp Console local deployment

GET /organizations/{organization_id}/federations

Lists all federations.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing a collection.

Supported operators:

  • eq - Equality

  • lt/gt - Less than/greater than

  • lte/gte - Less than or equal to/greater than or equal to

URL example: "filter=field%20eq%20%27value%27"

OpenAPI examples: "field eq 'value'"

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

include

string

query

False

Specifies which fields should be returned when listing a collection.

URL examples: "include=id", "include=id,name"

OpenAPI examples: "id"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

orderBy

string

query

False

Indicates the sort order of resources when listing a collection.

URL examples: "orderBy=name", "orderBy=name%20desc"

OpenAPI examples: "name desc"

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

Response

Status: 200, List of federations.
Name Type Required Description

count

integer

False

Total number of resources in the collection that match the query.

items

array[federation_1.0_get_response_body]

True

Example response
{
  "count": 1,
  "items": [
    {
      "id": "845eae30-ea32-4542-af58-1d9012fed81a",
      "keycloakComponentId": "b3f7c2e2-1b3b-4e2a-9c8e-123456789abc",
      "keycloakComponentName": "Active Directory",
      "ldapOptions": {
        "bindDn": "cn=admin,dc=example,dc=com",
        "connectionTimeout": 5000,
        "connectionUrl": "ldap://ldap.example.com:389",
        "importUsers": false,
        "pagination": true,
        "rdnLdapAttribute": "cn",
        "searchScope": "SUBTREE",
        "syncRegistrations": false,
        "userObjectClasses": "person",
        "usernameLdapAttribute": "sAMAccountName",
        "usersDn": "ou=users,dc=example,dc=com",
        "uuidLdapAttribute": "objectGUID"
      },
      "metadata": {
        "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
        "creationTimestamp": "2022-10-06T20:58:16.305662Z",
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
        "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
      },
      "name": "LDAP Federation",
      "organizationId": "9b0ee210-70a0-4158-b025-0decde66e4de",
      "providerType": "LDAP",
      "resourceId": "862b6f03-58ac-479b-9ca5-5cb4429d8996",
      "state": "ENABLED",
      "type": "application/vnd.netapp.bxp.federation",
      "version": "1.0"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

federation_1.0_ldap_response_options

Lightweight Directory Access Protocol (LDAP) configuration options when providerType=LDAP.

Name Type Required Description

bindCredential

string

False

Password for the bind DN.

bindDn

string

False

Distinguished Name (DN) or UPN to bind to the LDAP server.

connectionTimeout

integer

False

LDAP connection timeout, in milliseconds.

connectionUrl

string

False

LDAP connection URL.

importUsers

boolean

False

Indicates whether to import users from LDAP.

pagination

boolean

False

Indicates whether to use LDAP pagination for user searches.

rdnLdapAttribute

string

False

LDAP attribute used as Relative Distinguished Name (RDN).

searchScope

string

False

LDAP search scope.

syncRegistrations

boolean

False

Indicates whether to synchronize user registrations from LDAP.

userObjectClasses

string

False

LDAP object class for users.

usernameLdapAttribute

string

False

LDAP attribute used as username.

usersDn

string

False

Base DN for user searches.

uuidLdapAttribute

string

False

LDAP attribute used as universally unique identifier (UUID).

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

federation_1.0_get_response_body

Name Type Required Description

auth0Id

string

False

The ID of the connection in Auth0.

auth0Name

string

False

The name of the connection in Auth0.

autoAssignDefaultRoleIds

array[string]

False

Identifier of roles assigned to first-time users automatically added to the organization

autoAssignUsersEnabled

boolean

False

Whether first-time users should be automatically added to the organization when using this federation for SSO.

domains

array[string]

False

Array of email domain names that are associated with the federation.

expirationNotificationPeriod

string

False

The time period when expiration notifications are generated. Defined values are:

  • "P7D" - Notifications are sent daily 7 days before expiration.

  • "P30D" - Notifications are sent weekly 30 days before expiration. Notifications are sent daily 7 days before expiration.

expirationTimestamp

string

False

The date that the credentials or certificate expires. When a certificate is provided, the value is set to the certificate's expiration timestamp.

id

string

False

Globally unique identifier of the resource conforming to the UUIDv4 schema.

keycloakComponentId

string

False

Keycloak component identifier for LDAP provider.

keycloakComponentName

string

False

Keycloak component name for LDAP provider.

ldapOptions

federation_1.0_ldap_response_options

False

Lightweight Directory Access Protocol (LDAP) configuration options when providerType=LDAP.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

name

string

False

The name of the federation.

organizationId

string

False

Identifier for an organization.

providerType

string

False

The type of the identity provider. Defined values are:

  • "LDAP" - Lightweight Directory Access Protocol

resourceId

string

False

Identifier for the resource.

state

string

False

The state of the federation. Defined values are:

  • "DRAFT" - The federation is partially configured.

  • "CREATED" - The federation is configured but not tested.

  • "TESTED" - The federation has been successfully tested.

  • "ENABLED" - The federation is enabled.

  • "DISABLED" - The federation is disabled.

type

string

False

Media type of the resource.

version

string

False

Version of the resource.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.